%define debug_package %{nil}

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Summary:	Library for carving binary files

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		hachoir
Version:	3.1.2
Release:	1%{?dist}
URL:		https://bitbucket.org/haypo/hachoir/wiki/Home

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
BuildRequires:	python3
%if 0%{?fedora} >= 26 || 0%{?centos} == 7
Requires:	python%{python3_pkgversion}-wxpython4
%endif
Requires:	python%{python3_pkgversion}-urwid
BuildArch:	noarch
Obsoletes:      hachoir-core hachoir-metadata hachoir-parser hachoir-regex hachoir-subfile hachoir-wx hachoir-urwid

%description
Hachoir is a Python library used to represent of a binary file as a tree of
Python objects. Each object has a type, a value, an address, etc. The goal is
to be able to know the meaning of each bit in a file.

Why using slow Python code instead of fast hardcoded C code? Hachoir has many
interesting features:

 * Autofix: Hachoir is able to open invalid / truncated files
 * Lazy: Open a file is very fast since no information is read from file,
   data are read and/or computed when the user ask for it
 * Types: Hachoir has many predefined field types (integer, bit, string, etc.)
   and supports string with charset (ISO-8859-1, UTF-8, UTF-16, ...)
 * Addresses and sizes are stored in bit, so flags are stored as classic fields
 * Endian: You have to set endian once, and then number are converted in the
   right endian
 * Editor: Using Hachoir representation of data, you can edit, insert, remove
   data and then save in a new file.

%prep
%setup -n %{name}-%{version}

%build
%py3_build

%install
%{__rm} -rf %{buildroot}
%py3_install
%if 0%{?centos} == 8
rm %{buildroot}%{_bindir}/hachoir-wx
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644, root, root, 0755)
%doc COPYING README.rst
%attr(0755, root, root)	%{_bindir}/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py3*.egg-info

%changelog
* Sun May  3 2020 Lawrence R. Rogers <lrr@cert.org> 3.1.2-1
* Release 3.1.2-1
	Hachoir Python 3 version

